"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addProjectConfig = void 0;
const devkit_1 = require("@nrwl/devkit");
function addProjectConfig(tree, options) {
    var _a, _b, _c;
    const project = (0, devkit_1.readProjectConfiguration)(tree, options.projectName);
    project.targets = Object.assign(Object.assign({}, project.targets), { codegen: {
            executor: 'nx-graphql-codegen:codegen',
            options: {
                config: options.configPath,
            },
            configurations: {
                watch: {
                    watch: true,
                },
            },
        } });
    if ((_a = project.targets) === null || _a === void 0 ? void 0 : _a['build']) {
        const dependsOn = (_b = project.targets['build'].dependsOn) !== null && _b !== void 0 ? _b : [];
        dependsOn.push('codegen');
        project.targets = Object.assign(Object.assign({}, project.targets), { build: Object.assign(Object.assign({}, (_c = project.targets) === null || _c === void 0 ? void 0 : _c['build']), { dependsOn }) });
    }
    (0, devkit_1.updateProjectConfiguration)(tree, options.projectName, project);
}
exports.addProjectConfig = addProjectConfig;
exports.default = addProjectConfig;
//# sourceMappingURL=add-project-config.js.map