"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createFiles = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nrwl/devkit");
const path = tslib_1.__importStar(require("node:path"));
function createFiles(tree, options) {
    const templateOptions = Object.assign(Object.assign(Object.assign({}, options), (0, devkit_1.names)(options.libraryGeneratorOptions.name)), { offsetFromRoot: (0, devkit_1.offsetFromRoot)(options.projectRoot), template: '' });
    tree.delete(`${options.projectRoot}/src/lib/${options.projectName}.spec.ts`);
    tree.delete(`${options.projectRoot}/src/lib/${options.projectName}.ts`);
    tree.delete(`${options.projectRoot}/src/index.ts`);
    (0, devkit_1.generateFiles)(tree, path.join(__dirname, '../files'), options.projectRoot, templateOptions);
}
exports.createFiles = createFiles;
exports.default = createFiles;
//# sourceMappingURL=create-files.js.map